package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_ENGINEFOLDER"
)
public class TCoreEnginefolder extends TBaseEntity {
   private String foldername;
   private String serialnumber;
   private String engineid;
   private String datasourceid;
   private String datatargetid;

   public TCoreEnginefolder() {
   }

   public TCoreEnginefolder(String foldername, String serialnumber, String engineid, String datasourceid, String datatargetid) {
      this.foldername = foldername;
      this.serialnumber = serialnumber;
      this.engineid = engineid;
      this.datasourceid = datasourceid;
      this.datatargetid = datatargetid;
   }

   public String getFoldername() {
      return this.foldername;
   }

   public void setFoldername(String foldername) {
      this.foldername = foldername;
   }

   public String getSerialnumber() {
      return this.serialnumber;
   }

   public void setSerialnumber(String serialnumber) {
      this.serialnumber = serialnumber;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatatargetid() {
      return this.datatargetid;
   }

   public void setDatatargetid(String datatargetid) {
      this.datatargetid = datatargetid;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datasourceid == null ? 0 : this.datasourceid.hashCode());
      result = 31 * result + (this.datatargetid == null ? 0 : this.datatargetid.hashCode());
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.foldername == null ? 0 : this.foldername.hashCode());
      result = 31 * result + (this.serialnumber == null ? 0 : this.serialnumber.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreEnginefolder other = (TCoreEnginefolder)obj;
         if (this.datasourceid == null) {
            if (other.datasourceid != null) {
               return false;
            }
         } else if (!this.datasourceid.equals(other.datasourceid)) {
            return false;
         }

         if (this.datatargetid == null) {
            if (other.datatargetid != null) {
               return false;
            }
         } else if (!this.datatargetid.equals(other.datatargetid)) {
            return false;
         }

         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.foldername == null) {
            if (other.foldername != null) {
               return false;
            }
         } else if (!this.foldername.equals(other.foldername)) {
            return false;
         }

         if (this.serialnumber == null) {
            if (other.serialnumber != null) {
               return false;
            }
         } else if (!this.serialnumber.equals(other.serialnumber)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreEnginefolder [foldername=" + this.foldername + ", serialnumber=" + this.serialnumber + ", engineid=" + this.engineid + ", datasourceid=" + this.datasourceid + ", datatargetid=" + this.datatargetid + "]";
   }
}
